Bug 579389 (perl-HTTP-Parser-XS) - Review Request: perl-HTTP-Parser-XS - A fast, primitive HTTP request parser
Summary: Review Request: perl-HTTP-Parser-XS - A fast, primitive HTTP request parser
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-HTTP-Parser-XS
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/HTTP-Pars...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-04 21:55 UTC by Chris Weyl
Modified: 2012-02-10 12:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-12 05:56:40 UTC
steve.traylen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-04-04 21:55:32 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-HTTP-Parser-XS.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-HTTP-Parser-XS-0.07-1.fc12.src.rpm

Description:
HTTP::Parser::XS is a fast, primitive HTTP request parser that can
be used either for writing a synchronous HTTP server or an event-
driven server.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2094717

Additional Comment:

This package is an optional run-time dependency of plack.

*rt-0.10_01

Comment 1 Steve Traylen 2010-04-05 20:15:57 UTC
Review: perl-HTTP-Parser-XS
Date:    April 5th 2010
Mock Build: F14 x86_64 okay.

* PASS: rpmlint output
$ rpmlint RPMS/x86_64/perl-HTTP-Parser-XS-* SPECS/perl-HTTP-Parser-XS.spec SRPMS/perl-HTTP-Parser-XS-0.07-1.fc13.src.rpm 
perl-HTTP-Parser-XS-tests.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 1 warnings.

* PASS: Named according to the Package Naming Guidelines.
yes perl
* PASS: spec file name same as  base package %{name}.
yes perl
* PASS: Packaging Guidelines.
* PASS: Approved license in .spec file.
perl
* PASS: License on Source code.
The README is clear but META.yml contains
license:             ~
maybe a note could be passed to upsteam.
* PASS: Include LICENSE file or similar if it exist.
* PASS: Written in American English.
* PASS: Spec file legible. 
* PASS: Included source must match upstream source.
$ md5sum HTTP-Parser-XS-0.07.tar.gz ../SOURCES/HTTP-Parser-XS-0.07.tar.gz 
890711d599f036fe613b3c8589000a10  HTTP-Parser-XS-0.07.tar.gz
890711d599f036fe613b3c8589000a10  ../SOURCES/HTTP-Parser-XS-0.07.tar.gz

* PASS: Build on one architecture.
mock build
* PASS: Not building on an architecture must highlighted.
mock build
* PASS: Build dependencies must be listed in BuildRequires.
mock build
* PASS: Handle locales properly. 
None present
* PASS: ldconfig must be called on shared libs.
None present.
* PASS: No bundled copies of system libraries.
None present.
* PASS: Package must state why relocatable if relocatable.
Not relocatable.
* PASS: A package must own all directories that it creates
Yes.
* PASS:  No duplicate files in %files listings. 
None
* PASS:  Permissions on files must be set properly. %defattr
* PASS:  %clean section contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* PASS:  Each package must consistently use macros.
* PASS:  The package must contain code, or permissable content.
* PASS:  Large documentation files must go in a -doc subpackage.  
None present.
* PASS:  %doc  must not affect the runtime of the application. 
* PASS:  Header files must be in a -devel package.
none present.
* PASS:  Static libraries must be in a -static package.
none present.
* PASS:  Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
none present.
* PASS:  devel packages must require the exact base package
* PASS:  No .la libtool archives
* PASS:  GUI apps should have %{name}.desktop file
None
* PASS:  No files or directories already owned by other packages. 
None
* PASS:  %install must run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* PASS:  All filenames in rpm packages must be valid UTF-8.

Comments:
1) Presumably the "tests" subpackage could be noarch. Only makes
   sense to fix if it can be done in a generic way of course.
2) The license is clear in the README but the META.yml contains
   license:             ~
   maybe a note upstream asking them to fix would be good.

APPROVED.

Comment 2 Chris Weyl 2010-04-10 18:36:24 UTC
New Package CVS Request
=======================
Package Name: perl-HTTP-Parser-XS
Short Description: A fast, primitive HTTP request parser
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-04-11 19:19:13 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Chris Weyl 2010-04-12 05:56:40 UTC
Thanks for the review! :-)

Comment 5 Emmanuel Seyman 2012-02-09 22:50:30 UTC
New Package SCM Request
=======================
Package Name: perl-HTTP-Parser-XS
Short Description: A fast, primitive HTTP request parser
Owners: eseyman bochecha
Branches: el6
InitialCC: perl-sig

I've been asked by Mathieu Bridon (bochacha) to create a el6 branch for this module. Since I'm a helpful guy, I'ld be really glad if someone did this for me. :-)

Comment 6 Gwyn Ciesla 2012-02-10 02:34:59 UTC
Love to, but it needs to be a Package Change request, not New Package.

https://fedoraproject.org/wiki/Package_SCM_admin_requests

Comment 7 Emmanuel Seyman 2012-02-10 06:43:39 UTC
I knew I was going to do it wrong.

Package Change Request
======================
Package Name: perl-HTTP-Parser-XS
New Branches: el6
Owners: eseyman bochecha
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2012-02-10 12:53:20 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.